Angular Accordion - items
An array of items displayed by the UI component.
The items array can contain:
- Strings
- Objects with fields described in this section
- Objects with any other fields. In this case, specify the itemTemplate.
If you need to update the UI component items, reassign the entire items array as shown in the following example:
accordionInstance.option('items', newItems);
As an alternative to items, you can use the dataSource property. It accepts the DataSource object, whose underlying stores provide an API that allows you to update individual items without reassigning the entire item collection.
disabled
Specifies whether the UI component item responds to user interaction.
html
Specifies the HTML markup to be inserted into the item element.
The Accordion component evaluates the html property's value. This evaluation, however, makes the Accordion potentially vulnerable to XSS attacks. To guard against these attacks, encode the HTML markup before you assign it to the html property. Refer to the following help topic for more information: Potentially Vulnerable API - html.
You can use the text property as a safe alternative.
icon
Specifies the icon to be displayed in the panel's title.
This property accepts one of the following:
- The icon's URL
- The icon's name if the icon is from the DevExtreme icon library
- The icon's CSS class if the icon is from an external icon library (see External Icon Libraries)
- The icon in the Base64 format
- The icon in the SVG format. Ensure that the source is reliable.
template
Specifies a template that should be used to render this item only.
The following types of the specified value are available.
- Assign a string containing the name of the required template.
- Assign a jQuery object of the template's container.
- Assign a DOM Node of the template's container.
- Assign a function that returns the jQuery object or a DOM Node of the template's container.
The following example adds a custom item to the component. Note that Angular and Vue use custom templates instead of the template property. In React, specify the render or component properties.
jQuery
$(function() { $("#accordionContainer").dxAccordion({ // ... items: [ { // ... template: '<div>Custom Item</div>' } ] }); });
Angular
<dx-accordion ... > <dxi-item ... > <div *dxTemplate> <div>Custom Item</div> </div> </dxi-item> </dx-accordion>
import { Component } from '@angular/core'; @Component({ selector: 'app-root', templateUrl: './app.component.html', styleUrls: ['./app.component.css'] }) export class AppComponent { // ... }
import { BrowserModule } from '@angular/platform-browser'; import { NgModule } from '@angular/core'; import { AppComponent } from './app.component'; import { DxAccordionModule } from 'devextreme-angular'; @NgModule({ declarations: [ AppComponent ], imports: [ BrowserModule, DxAccordionModule ], providers: [ ], bootstrap: [AppComponent] }) export class AppModule { }
Vue
<template> <DxAccordion ... > <dxItem ... > <div>Custom Item</div> </dxItem> </DxAccordion> </template> <script> import DxAccordion, { DxItem } from 'devextreme-vue/accordion'; export default { components: { DxAccordion, DxItem }, // ... } </script>
React
import React from 'react'; import Accordion, { Item } from 'devextreme-react/accordion'; const renderCustomItem = () => { return <div>Custom Item</div>; } class App extends React.Component { render() { return ( <Accordion ... > <Item ... render={renderCustomItem} > </Item> </Accordion> ); } } export default App;
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Accordion - items
The items array can contain:
- Strings
- Objects with fields described in this section
- Objects with any other fields. In this case, specify the itemTemplate.
If you need to update the UI component items, reassign the entire items array as shown in the following example:
- accordionInstance.option('items', newItems);
As an alternative to items, you can use the dataSource property. It accepts the DataSource object, whose underlying stores provide an API that allows you to update individual items without reassigning the entire item collection.
component
An alias for the template property specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.
html
The Accordion component evaluates the html property's value. This evaluation, however, makes the Accordion potentially vulnerable to XSS attacks. To guard against these attacks, encode the HTML markup before you assign it to the html property. Refer to the following help topic for more information: Potentially Vulnerable API - html.
You can use the text property as a safe alternative.
icon
This property accepts one of the following:
- The icon's URL
- The icon's name if the icon is from the DevExtreme icon library
- The icon's CSS class if the icon is from an external icon library (see External Icon Libraries)
- The icon in the Base64 format
- The icon in the SVG format. Ensure that the source is reliable.
render
An alias for the template property specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.
template
The following types of the specified value are available.
- Assign a string containing the name of the required template.
- Assign a jQuery object of the template's container.
- Assign a DOM Node of the template's container.
- Assign a function that returns the jQuery object or a DOM Node of the template's container.
The following example adds a custom item to the component. Note that Angular and Vue use custom templates instead of the template property. In React, specify the render or component properties.
- import React from 'react';
- import Accordion, {
- Item
- } from 'devextreme-react/accordion';
- const renderCustomItem = () => {
- return <div>Custom Item</div>;
- }
- class App extends React.Component {
- render() {
- return (
- <Accordion ... >
- <Item ...
- render={renderCustomItem}
- >
- </Item>
- </Accordion>
- );
- }
- }
- export default App;
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.